/*
  Copyright 2010-2011 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef VIEW_H
#define VIEW_H

#define OWN_CYAN wxColour(0x99, 0xCC, 0xFF)
#define OWN_YELLOW wxColour(0xFF, 0xFF, 0x99)
#define OWN_GREEN wxColour(0x3D, 0xEB, 0x3D)

#define DEFAULT_FONT_NAME wxT("Liberation Sans")
#define DEFAULT_FONT_SIZE 12
#define DEFAULT_FONT(font_name)  wxFont font_name(DEFAULT_FONT_SIZE, wxFONTFAMILY_DEFAULT, wxFONTSTYLE_NORMAL, wxFONTWEIGHT_NORMAL, false, DEFAULT_FONT_NAME);

#define DELETE_ICON RESSOURCES_ROOT "icons/process-stop.png"
#define CHECKED_ICON  RESSOURCES_ROOT "icons/tick-icon.png"
#define ACCOUNT_ICON RESSOURCES_ROOT "icons/administrator-icon.png"
#define STATS_ICON   RESSOURCES_ROOT "icons/chart-icon.png"
#define SEARCH_ICON  RESSOURCES_ROOT "icons/Search-icon.png"
#define PREFS_ICON   RESSOURCES_ROOT "icons/options-icon.png"
#define IMPORT_ICON   RESSOURCES_ROOT "icons/import-icon.png"
#define EXPORT_ICON   RESSOURCES_ROOT "icons/export-icon.png"
#define CHANGE_USER_ICON RESSOURCES_ROOT "icons/Clients-icon.png"
#define ABOUT_ICON  RESSOURCES_ROOT "icons/windows-users-icon.png"
#define QUIT_ICON   RESSOURCES_ROOT "icons/system-log-out.png"

#define LANG_ROOT RESSOURCES_ROOT "po/"

#include "KissPanel.h"

#endif
